PmdReports (Gradle API 9.5.0)
Description: declaration: package: org.gradle.api.plugins.quality, interface: PmdReports

Package org.gradle.api.plugins.quality

# Interface PmdReports

All Superinterfaces:
  `Collection<SingleFileReport>`, `Configurable<ReportContainer<SingleFileReport>>`, `DomainObjectCollection<SingleFileReport>`, `DomainObjectSet<SingleFileReport>`, `Iterable<SingleFileReport>`, `NamedDomainObjectCollection<SingleFileReport>`, `NamedDomainObjectSet<SingleFileReport>`, `ReportContainer<SingleFileReport>`, `Set<SingleFileReport>`

public interface PmdReports extends ReportContainer<SingleFileReport>
The reporting configuration for the `Pmd` task.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

  `ReportContainer.ImmutableViolationException`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SingleFileReport`
  `getCodeClimate()`
  The pmd (single file) Code Climate JSON report
  `SingleFileReport`
  `getCsv()`
  The pmd (single file) CSV report
  `SingleFileReport`
  `getHtml()`
  The pmd (single file) HTML report
  `SingleFileReport`
  `getSarif()`
  The pmd (single file) sarif JSON report
  `SingleFileReport`
  `getXml()`
  The pmd (single file) XML report

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.util.Configurable

  `configure`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName, getCollectionSchema, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

  `getAsMap, getEnabled, getEnabledReports, getNamer, getNames, getRules, isEmpty`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### getHtml

    @Internal SingleFileReport getHtml()
    The pmd (single file) HTML report
    Returns:
      The pmd (single file) HTML report

  - ### getXml

    @Internal SingleFileReport getXml()
    The pmd (single file) XML report
    Returns:
      The pmd (single file) XML report

  - ### getCsv

    @Incubating @Internal SingleFileReport getCsv()
    The pmd (single file) CSV report
    Returns:
      The pmd (single file) CSV report
    Since:
      9.4.0

  - ### getCodeClimate

    @Incubating @Internal SingleFileReport getCodeClimate()
    The pmd (single file) Code Climate JSON report
    Returns:
      The pmd (single file) Code Climate JSON report
    Since:
      9.4.0

  - ### getSarif

    @Incubating @Internal SingleFileReport getSarif()
    The pmd (single file) sarif JSON report
    Returns:
      The pmd (single file) sarif JSON report
    Since:
      9.4.0